import request from './request';
let api = {
  questionnaireHas: '/activity/Questionnaire/hasMask'
};
const prodApi = {
  questionnaireHas: 'https://activity.guangdianyun.tv/v1/activity/Questionnaire/hasMask'
};
const preApi = {
  questionnaireHas: '/activity/Questionnaire/hasMask'
};
const testApi = {
  questionnaireHas: '/activity/Questionnaire/hasMask'
};
if (!process.env.private) {
  if (!process.env.X_CA_STAGE) {
    api = { ...api, ...prodApi };
  } else if (process.env.X_CA_STAGE === 'PRE') {
    api = { ...api, ...preApi };
  } else if (process.env.X_CA_STAGE === 'TEST') {
    api = { ...api, ...testApi };
  }
}

export const questionnaireHas = data => {
  return request.post(api['questionnaireHas'], data);
};

export default {
  questionnaireHas
};
